JCAT-TOOL(1)

NAME
jcat-tool - Standalone detached signature utility

DESCRIPTION

  Usage:

    jcat-tool [OPTION?]

export FILENAME
    Exports all embedded signatures to files

import FILENAME DATA DETACHED_KEY
    Import an existing signature to a file

info FILENAME
    Show information about a file

self-sign FILENAME SOURCE
    Add a self-signed signature to a file

sign FILENAME SOURCE CERT PRIVKEY
    Add a signature to a file

verify FILENAME [SOURCE]
    Verify a signature from a file

  Help Options:

-h, --help
    Show help options

  Application Options:

--version
    Print the version number

-v, --verbose
    Print verbose debug statements

--basename
    Only consider the basename for the ID

--public-key
    Location of public key used for verification

--public-keys
    Location of public key directories used for verification

--prefix
    Prefix for import and output files

--kind
    Kind for blob, e.g. `gpg`

--appstream-id
    Appstream ID for blob, e.g. `com.bbc`

--keyring
    Keyring location, e.g. `/var/lib/fwupd`